using System.Runtime;
using System.Runtime.Serialization;

namespace fbblEntiPubblici
{
    abstract public class Estero : Funzione
    {
        protected string _Nazione;

        public Estero(string _NomeEnte, string _TipoEnte,string _Nazione) : base(_NomeEnte,_TipoEnte)
        {
            this._Nazione = _Nazione;
        }

        public Estero(SerializationInfo info,StreamingContext context)
                : base(info,context)
        {
            this._Nazione=info.GetString("Nazione");
        }

        public string Nazione
        {
            set
            {
                this._Nazione = value;
            }

            get
            {
                return this._Nazione;
            }

        }
    }
}
